# Converts the given .po file to the Tiki format.

import sys
from translate.storage import po

header = """<?php // -*- coding:utf8 -*-
// Translated from PO using the Translate toolkit 
// and po2tiki.
$lang = Array(
"""

footer= """"###end###" => "###end###"
)?>
"""

def write_elem(elem, out_file):
    """Writes a single PO element to the output file"""
    to_write = ""
    # print elem.msgstr, " ", elem.msgid
    if len(elem.msgid) == 0:
        return
    msgstr = elem.msgstr[0]
    msgid  = elem.msgid[0]
    if msgstr == "\"\"":
        msgstr = msgid
    if msgid == msgstr:
        to_write = to_write + "// "
    to_write = "".join([to_write, msgid, " => ", msgstr, ',\n'])
    out_file.write(to_write)

if __name__ == '__main__':
    in_filename = sys.argv[1]
    out_filename = sys.argv[2]
    print "Input file: ", in_filename
    print "Output file: ", out_filename
    in_file = open(in_filename, "rt")
    out_file = open(out_filename, "wt")
    po = po.pofile(in_file)
    out_file.write(header);
    for elem in po.poelements:
        if ( elem.isheader() == False):
            write_elem(elem, out_file)
    out_file.write(footer);
    out_file.close();

