# Converts a tiki language file to a .PO compatible
#
# Usage:
# python tiki2po.py infile.php outfile.po
#
# Please direct comments to: f dot miletic at ewi dot tudelft dot nl
import sys
import re
from translate.storage import po 

# This should be an Unicode regexp
line_regexp = re.compile(r"^\s*(//\s*)?(\".*\")\s*=>\s*(\".*\")", re.U)

if __name__ == '__main__':
    in_filename = sys.argv[1]
    out_filename = sys.argv[2]
    print "Input file: ", in_filename
    print "Output file: ", out_filename
    in_file = open(in_filename, "rt")
    out_file = open(out_filename, "wt")
    
    pofile = po.pofile() # Make the new PO file
    header = pofile.makeheader(charset="UTF-8")
    header.sourcecomments.append("# Converted by tiki2po\n")
    pofile.poelements.append(header)
    
    line_number = 1
    textline = in_file.readline()
    while textline != "":
        match = line_regexp.match(textline)
        if match != None:
            msgid = match.group(2)
            msgstr = match.group(3)
            end_tag = "\"###end###\""
            if msgid != end_tag:
                if msgid == msgstr:
                    msgstr = "\"\""
                newpoelem = po.poelement()
                newpoelem.msgid.append(msgid)
                newpoelem.msgstr.append(msgstr)
                newpoelem.sourcecomments.append("#: %s:%d\n" % (in_filename, line_number))
                pofile.poelements.append(newpoelem)
        textline = in_file.readline()
        line_number = line_number + 1
    in_file.close()
    out_file.writelines(pofile.tolines())
    out_file.close()
